package com.four.common.duck.domain;

/**
 * 用户的实名认证和银行卡
 */
public class CertifiedBankCard {

    /**
     * 用户的实名认证和银行卡id
     */
    private Long certifiedBankCardId;

    /**
     * 用户的id
     */
    private Long userId;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 身份证号
     */
    private String idNumber;

    /**
     * 开户行：银行名称
     */
    private String bankName;

    /**
     * 银行卡号
     */
    private String bankCardNumber;

    public CertifiedBankCard() {
    }

    @Override
    public String toString() {
        return "CertifiedBankCard{" +
                "certifiedBankCardId=" + certifiedBankCardId +
                ", userId=" + userId +
                ", realName='" + realName + '\'' +
                ", idNumber='" + idNumber + '\'' +
                ", bankName='" + bankName + '\'' +
                ", bankCardNumber='" + bankCardNumber + '\'' +
                '}';
    }

    public Long getCertifiedBankCardId() {
        return certifiedBankCardId;
    }

    public void setCertifiedBankCardId(Long certifiedBankCardId) {
        this.certifiedBankCardId = certifiedBankCardId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankCardNumber() {
        return bankCardNumber;
    }

    public void setBankCardNumber(String bankCardNumber) {
        this.bankCardNumber = bankCardNumber;
    }

    public CertifiedBankCard(Long certifiedBankCardId, Long userId, String realName, String idNumber, String bankName, String bankCardNumber) {
        this.certifiedBankCardId = certifiedBankCardId;
        this.userId = userId;
        this.realName = realName;
        this.idNumber = idNumber;
        this.bankName = bankName;
        this.bankCardNumber = bankCardNumber;
    }
}
